<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag\VertragAkzeptieren;

use Kufer\Web\KuferTools\Basis\View\ViewSight;
use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class VertragAkzeptierenDialogView extends ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/vertrag_akzeptieren_dialog.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(
      new \ExportKurse(),
      array(
        'mitbemerkung' => $this->viewModel->mitBemerkung ? '1' : '0'
      )
    );
  }
}